JavaScript-API-Anforderungssätze für Word

Anforderungssätze sind benannte Gruppen von API-Mitgliedern. Office-Add-Ins verwenden im Manifest angegebene Anforderungssätze oder ermitteln mithilfe einer Laufzeitüberprüfung, ob eine Office-Anwendung APIs unterstützt, die ein Add-In benötigt. Weitere Informationen finden Sie unter Office-Versionen und Anforderungssätze.

Verfügbarkeit von Anforderungssätzen

Word-Add-Ins werden in mehreren Versionen von Office ausgeführt, einschließlich Office 2016 oder höher unter Windows und Office im Web, iPad und Mac. In der folgenden Tabelle sind die Word-Anforderungssätze, die Office-Clientanwendungen, die diesen Anforderungssatz unterstützen, und die Build- oder Versionsnummern für diese Anwendungen aufgeführt.

Hinweis

Informationen zum Ausführen von APIs in diesen nummerierten Anforderungssätzen finden Sie in der Produktionsbibliothek auf dem CDN: https://appsforoffice.microsoft.com/lib/1/hosted/office.js.

Informationen zur Verwendung der Vorschau-APIs finden Sie im Artikel Word JavaScript-Vorschau APIs.

Anforderungssatz Office unter Windows*
(in Verbindung mit einem Microsoft 365-Abonnement)
Office auf dem iPad
(in Verbindung mit einem Microsoft 365-Abonnement)
Office für Mac
(in Verbindung mit einem Microsoft 365-Abonnement)
Office im Web
Preview Verwenden Sie die aktuellste Office-Version, um Vorschau-APIs auszuführen (es kann erforderlich sein, dem Office Insider-Programm beizutreten)
WordApi 1.3 Version 1612 (Build 7668.1000) oder höher März 2017, 2.22 oder höher März 2017, 15.32 oder höher März 2017
WordApi 1.2 Update vom Dezember 2015, Version 1601 (Build 6568.1000) oder höher Januar 2016, 1.18 oder höher Januar 2016, 15.19 oder höher September 2016
WordApi 1.1 Version 1509 (Build 4266.1001) oder höher Januar 2016, 1.18 oder höher Januar 2016, 15.19 oder höher September 2016

Hinweis

Für Office-Versionen ohne Abonnement müssen folgende Anforderungssätze erfüllt sein:

  • Office 2019 und Office 2021 unterstützen WordApi 1.3 und frühere Versionen.
  • Office 2016 unterstützt nur den WordApi 1.1-Anforderungssatz.

Office-Versionen und Buildnummern

Weitere Informationen zu Office-Versionen und Buildnummern finden Sie unter:

Weitere Artikel